petsc-3.10.5 2019-03-28
Report Typos and Errors

# VecScatterCopy

Makes a copy of a scatter context.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecScatterCopy(VecScatter sctx,VecScatter *ctx)

Collective on VecScatter

### Input Parameter

sctx -the scatter context

### Output Parameter

ctx -the context copy

### See Also

VecScatterCreate(), VecScatterDestroy()

### Level

advanced

### Location

src/vec/vscat/interface/vscatfce.c

### Implementations

VecScatterCopy_PtoP_X in src/vec/vscat/impls/vpscat.c
VecScatterCopy_PtoP_AllToAll in src/vec/vscat/impls/vpscat.c
VecScatterCopy_PtoP_X_MPI1 in src/vec/vscat/impls/vpscat_mpi1.c
VecScatterCopy_PtoP_AllToAll_MPI1 in src/vec/vscat/impls/vpscat_mpi1.c
VecScatterCopy_MPI_ToAll in src/vec/vscat/impls/vscat.c
VecScatterCopy_SGToSG in src/vec/vscat/impls/vscat.c
VecScatterCopy_SGToSS in src/vec/vscat/impls/vscat.c
VecScatterCopy_SSToSS in src/vec/vscat/impls/vscat.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages